# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ApplicationTypeInfo(Model):
    """Information about an application type.

    :param name: The name of the application type.
    :type name: str
    :param version: The version of the application type.
    :type version: str
    :param status: Possible values include: 'Invalid', 'Provisioning',
     'Available', 'Unprovisioning', 'Failed'
    :type status: str
    :param default_parameter_list:
    :type default_parameter_list: list of :class:`ApplicationParameter
     <azure.servicefabric.models.ApplicationParameter>`
    """ 

    _attribute_map = {
        'name': {'key': 'Name', 'type': 'str'},
        'version': {'key': 'Version', 'type': 'str'},
        'status': {'key': 'Status', 'type': 'str'},
        'default_parameter_list': {'key': 'DefaultParameterList', 'type': '[ApplicationParameter]'},
    }

    def __init__(self, name=None, version=None, status=None, default_parameter_list=None):
        self.name = name
        self.version = version
        self.status = status
        self.default_parameter_list = default_parameter_list
